# Nuo FE NDK Babel Preset

> Forked from [airbnb/babel-preset-airbnb](https://github.com/airbnb/babel-preset-airbnb).

[![NPM version][npm-image]][npm-url]
[![Downloads][downloads-image]][downloads-url]

[npm-image]: https://img.shields.io/npm/v/@nuofe/babel-preset-ndk.svg?style=flat-square
[npm-url]: https://www.npmjs.com/package/@nuofe/babel-preset-ndk
[downloads-image]: https://img.shields.io/npm/dm/@nuofe/babel-preset-ndk.svg?style=flat-square
[downloads-url]: https://www.npmjs.com/package/@nuofe/babel-preset-ndk

Lerna does not support git submodules, [https://github.com/lerna/lerna/issues/2099](https://github.com/lerna/lerna/issues/2099).
So, we moved repository to [https://github.com/nuofe/ndk/tree/master/packages/babel-preset-ndk](https://github.com/nuofe/ndk/tree/master/packages/babel-preset-ndk) for update.

## Install

```bash
yarn add @nuofe/babel-preset-ndk --dev
```

## Usage

```js
// babel.config.js
module.exports = function(api) {
  api.cache(true);

  const presets = ['@nuofe/babel-preset-ndk'];
  const plugins = [];

  return {
    presets,
    plugins,
  };
};
```
